RemoteGymp · API v1
API-Referenz
Zugriff und Verhalten
Referenzbeispiele sind Vorlagen. Ersetzen Sie Platzhalter und überprüfen Sie die Parameter, Berechtigungen und das Schema des Endpunkts, bevor Sie sie ausführen. Befolgen Sie bei unsicheren Schreibvorgängen die Wiederherstellungs- und Wiederholungsregeln dieses Endpunkts.
Erfordert ein Bearer-Token und die Berechtigungen des Endpunkts. Der Zugriff bleibt auf den Umfang Ihrer Zugangsdaten beschränkt. Überprüfen Sie die Funktionen, bevor Sie Geräte- oder Verwaltungsaktionen verwenden.
Suchergebnisse: 289
Keine Ergebnisse gefunden.
-Geräte58
GETGeräte auflisten/v1/devices
Durchsuchen Sie Gerätezusammenfassungen Seite für Seite. Für weitere Ergebnisse folgen Sie dem nächsten Cursor.
GET /v1/devices ↗mcp.cap.InventoryRead
Schemata (OpenAPI)
status
"Online" "Offline" "Busy" "Error" "Uninstalling" "Uninstalled"
-Parameter
pageSize· -Abfrage · optional- Maximale Anzahl der für diese Seite angeforderten Elemente. Endpunktspezifische Grenzwerte können die Seitengröße verringern.
after· -Abfrage · optional- Fortsetzungsposition der vorherigen Antwort. Für die erste Seite weglassen; Behalten Sie beim Fortfahren die gleichen Filter bei.
companyId· -Abfrage · optional- Firmenkennung. Ein Abfrageparameter schränkt die Ergebnisse auf dieses Unternehmen ein; Es erweitert niemals den Umfang der Anmeldeinformationen.
siteId· -Abfrage · optional- Site-ID. Ein Abfrageparameter schränkt die Ergebnisse auf diese Site innerhalb des Anmeldeinformationsbereichs ein.
status· -Abfrage · optional- Filtern Sie Geräte nach ihrem gespeicherten Gerätestatus.
name· -Abfrage · optional- Filtern Sie nach einem Geräte- oder Softwarenamen entsprechend der abgefragten Ressource.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Browse device summaries one page at a time. Follow the next cursor for more results.",
"operationId": "get_v1_devices",
"parameters": [
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "query",
"name": "companyId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Site identifier. A query parameter narrows the results to this site within credential scope.",
"in": "query",
"name": "siteId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Filter devices by their stored device status.",
"in": "query",
"name": "status",
"schema": {
"enum": [
"Online",
"Offline",
"Busy",
"Error",
"Uninstalling",
"Uninstalled"
],
"type": "string"
}
},
{
"description": "Filter by a device or software name, according to the resource being queried.",
"in": "query",
"name": "name",
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PageOfDeviceResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List devices",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETHolen Sie sich ein Gerät/v1/devices/{deviceId}
Lesen Sie die Zusammenfassung eines Geräts anhand seiner ID.
GET /v1/devices/{deviceId} ↗mcp.cap.InventoryRead
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Read one device's summary using its ID.",
"operationId": "get_v1_devices_deviceId",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/DeviceResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get a device",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTDeinstallieren Sie einen Agenten/v1/devices/{deviceId}/agent/uninstall
Wählen Sie aus, ob der Inventareintrag beibehalten werden soll. Eine Bestätigung beweist nicht die Entfernung.
POST /v1/devices/{deviceId}/agent/uninstall ↗mcp.cap.EnrollmentManage
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/agent/uninstall' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anforderungs- und Antwortschema (OpenAPI)
{
"description": "Choose whether to retain its inventory entry. Acknowledgement does not prove removal.",
"operationId": "post_v1_devices_deviceId_agent_uninstall",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfboolean"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Uninstall an agent",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentManage"
]
}POSTBreche einen Befehl ab/v1/devices/{deviceId}/commands/{operationId}/cancel
Verwende den ursprünglichen Befehlsbeleg, der diesem Berechtigungsnachweis gehört. Das Abbrechen hebt die Auswirkungen nicht auf.
POST /v1/devices/{deviceId}/commands/{operationId}/cancel ↗mcp.cap.CommandsExecute
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
operationId· -Pfad · erforderlich- Vorgangsbeleg-ID der obersten Ebene. Fragen Sie diese Quittung ab, um den Fortschritt und das Ergebnis zu überprüfen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/commands/<operationId>/cancel' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anforderungs- und Antwortschema (OpenAPI)
{
"description": "Use the original command receipt owned by this credential. Cancellation does not undo effects.",
"operationId": "post_v1_devices_deviceId_commands_operationId_cancel",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Top-level operation receipt identifier. Poll this receipt to inspect progress and the result.",
"in": "path",
"name": "operationId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Cancel a command",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.CommandsExecute"
]
}POSTÜberprüfen Sie die Festplattennutzung/v1/devices/{deviceId}/disk-usage
Geben Sie eine Scan-ID und ausgewählte Volumes an. Verwenden Sie dieselbe ID erneut, um den Scan abzubrechen.
POST /v1/devices/{deviceId}/disk-usage ↗mcp.cap.DeviceMaintenance
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"operationId": "<UUID>",
"volumeIds": [
"<value>"
]
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/disk-usage' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anforderungs- und Antwortschema (OpenAPI)
{
"description": "Supply a scan identifier and selected volumes. Reuse the identifier to cancel the scan.",
"operationId": "post_v1_devices_deviceId_disk_usage",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationDiskScan"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Scan disk usage",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.DeviceMaintenance"
]
}POSTBrechen Sie einen Festplattenscan ab/v1/devices/{deviceId}/disk-usage/cancel
Geben Sie eine Scan-ID und ausgewählte Volumes an. Verwenden Sie dieselbe ID erneut, um den Scan abzubrechen.
POST /v1/devices/{deviceId}/disk-usage/cancel ↗mcp.cap.DeviceMaintenance
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/disk-usage/cancel' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anforderungs- und Antwortschema (OpenAPI)
{
"description": "Supply a scan identifier and selected volumes. Reuse the identifier to cancel the scan.",
"operationId": "post_v1_devices_deviceId_disk_usage_cancel",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Cancel a disk scan",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.DeviceMaintenance"
]
}GETListe Festplattenvolumes/v1/devices/{deviceId}/disk-usage/volumes
Lese aktuelle Endpunktdiagnosen innerhalb des Berechtigungsbereichs.
GET /v1/devices/{deviceId}/disk-usage/volumes ↗mcp.cap.InventoryRead
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/disk-usage/volumes' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Read current endpoint diagnostics within credential scope.",
"operationId": "get_v1_devices_deviceId_disk_usage_volumes",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/DiskUsageVolumeInfoDto"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List disk volumes",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETGespeicherte Ereignisprotokollergebnisse lesen/v1/devices/{deviceId}/event-logs
Lesen der bereits für das Gerät erfassten Ereignisprotokollergebnisse.
GET /v1/devices/{deviceId}/event-logs ↗mcp.cap.InventoryRead
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
offset· -Abfrage · optional- Anzahl der zu überspringenden Elemente, beginnend bei Null. Verwenden Sie weiterhin den vom Endpunkt zurückgegebenen Offset, sofern verfügbar.
pageSize· -Abfrage · optional- Maximale Anzahl der für diese Seite angeforderten Elemente. Endpunktspezifische Grenzwerte können die Seitengröße verringern.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/event-logs' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Read event-log results already collected for the device.",
"operationId": "get_v1_devices_deviceId_event_logs",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AssetInventorySection"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read stored event-log results",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETLive-Ereignisprotokolle lesen/v1/devices/{deviceId}/event-logs/live
Fordern Sie Ereignisprotokollinformationen vom Gerät an, anstatt sich nur auf gespeicherte Ergebnisse zu verlassen.
GET /v1/devices/{deviceId}/event-logs/live ↗mcp.cap.InventoryRead
Schemata (OpenAPI)
level
"Critical" "Error" "Warning"
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
from· -Abfrage · optional- Startzeitstempel für den angeforderten Zeitbereich. Fügen Sie einen UTC-Offset hinzu.
to· -Abfrage · optional- Endzeitstempel für den angeforderten Zeitbereich. Fügen Sie einen UTC-Offset hinzu und wählen Sie eine Zeit nach dem Start.
level· -Abfrage · optional- Filtern Sie die angeforderten Ereignisprotokolle nach Ereignisebene.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/event-logs/live' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Request event-log information from the device rather than relying only on stored results.",
"operationId": "get_v1_devices_deviceId_event_logs_live",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Start timestamp for the requested time range. Include a UTC offset.",
"in": "query",
"name": "from",
"schema": {
"format": "date-time",
"type": "string"
}
},
{
"description": "End timestamp for the requested time range. Include a UTC offset and choose a time after the start.",
"in": "query",
"name": "to",
"schema": {
"format": "date-time",
"type": "string"
}
},
{
"description": "Filter the requested event logs by event level.",
"in": "query",
"name": "level",
"schema": {
"enum": [
"Critical",
"Error",
"Warning"
],
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiLiveEventLogs"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read live event logs",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTErfassen Sie die Ergebnisse des Ereignisprotokolls/v1/devices/{deviceId}/event-logs/query
Fordern Sie eine begrenzte Ereignisprotokollabfrage auf dem Gerät an und zeichnen Sie die Ergebnisse zum späteren Lesen auf.
POST /v1/devices/{deviceId}/event-logs/query ↗mcp.cap.InventoryRead
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"channels": [
"<value>"
],
"fromUtc": "<UTC date and time>",
"toUtc": "<UTC date and time>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/event-logs/query' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anforderungs- und Antwortschema (OpenAPI)
{
"description": "Request a bounded event-log query on the device and record its results for later reading.",
"operationId": "post_v1_devices_deviceId_event_logs_query",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/EventLogQueryDto"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationEventLogResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Collect event-log results",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETLagerbestand abrufen/v1/devices/{deviceId}/inventory
Lesen Sie die gesammelten Fakten zu Hardware und Sicherheit. Fehlende Werte sind unbekannt; Dadurch wird kein neuer Scan ausgelöst.
GET /v1/devices/{deviceId}/inventory ↗mcp.cap.InventoryRead
Gespeicherte Fakten zur Hardware- und Sicherheitszusammenfassung. Nullwerte sind unbekannt; Zeitstempel stellen die Aktualität der Beobachtung fest. Keine Wiederherstellungsschlüssel, geheimes Material oder Gerätekontrollberechtigung.
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/inventory' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Stored hardware and security summary facts. Null values are unknown; timestamps establish observation freshness. No recovery keys, secret material or device-control authority.",
"operationId": "get_v1_devices_deviceId_inventory",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/InventoryResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get stored inventory",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETHolen Sie sich einen Inventarabschnitt/v1/devices/{deviceId}/inventory/{section}
Lesen Sie einen unterstützten Abschnitt des gespeicherten Asset-Inventars des Geräts.
GET /v1/devices/{deviceId}/inventory/{section} ↗mcp.cap.InventoryRead
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
section· -Pfad · erforderlich- Abschnitt „Inventar“ zum Lesen. Lesen Sie zuerst manifest für unterstützte Abschnitte. Folgen Sie nextOffset für Array-Abschnitte.
offset· -Abfrage · optional- Anzahl der zu überspringenden Elemente, beginnend bei Null. Verwenden Sie weiterhin den vom Endpunkt zurückgegebenen Offset, sofern verfügbar.
pageSize· -Abfrage · optional- Maximale Anzahl der für diese Seite angeforderten Elemente. Endpunktspezifische Grenzwerte können die Seitengröße verringern.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/inventory/<section>' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Read one supported section of the device's stored asset inventory.",
"operationId": "get_v1_devices_deviceId_inventory_section",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Inventory section to read. Read manifest first for supported sections; follow nextOffset for array sections.",
"in": "path",
"name": "section",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AssetInventorySection"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get an inventory section",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETListe der wartenden Jobs/v1/devices/{deviceId}/jobs
Lese ausstehende und laufende Jobs. Fehlende Jobs beweisen keinen Erfolg.
GET /v1/devices/{deviceId}/jobs ↗mcp.cap.InventoryRead
Schemata (OpenAPI)
DeviceJobStatus
0 = Pending 1 = Running 2 = Completed 3 = Failed 4 = Cancelled
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
pageSize· -Abfrage · optional- Maximale Anzahl der für diese Seite angeforderten Elemente. Endpunktspezifische Grenzwerte können die Seitengröße verringern.
after· -Abfrage · optional- Fortsetzungsposition der vorherigen Antwort. Für die erste Seite weglassen; Behalten Sie beim Fortfahren die gleichen Filter bei.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Read pending and running jobs. Missing jobs do not prove success.",
"operationId": "get_v1_devices_deviceId_jobs",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationJobPage"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List queued jobs",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTStellen Sie einen Offline-Befehl in die Warteschlange/v1/devices/{deviceId}/jobs/command
Stellen Sie Arbeiten für die Wiederverbindung in die Warteschlange. Aktuelle Anmeldeinformationen und Berechtigungen werden vor der Ausführung erneut überprüft.
POST /v1/devices/{deviceId}/jobs/command ↗mcp.cap.CommandsExecute
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"command": "<value>",
"shell": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/command' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anforderungs- und Antwortschema (OpenAPI)
{
"description": "Queue work for reconnection. Current credentials and permissions are checked again before execution.",
"operationId": "post_v1_devices_deviceId_jobs_command",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationQueuedCommand"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Queue an offline command",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.CommandsExecute"
]
}POSTStellen Sie eine Agent-Deinstallation in die Warteschlange/v1/devices/{deviceId}/jobs/uninstall
Stellen Sie Arbeiten für die Wiederverbindung in die Warteschlange. Aktuelle Anmeldeinformationen und Berechtigungen werden vor der Ausführung erneut überprüft.
POST /v1/devices/{deviceId}/jobs/uninstall ↗mcp.cap.EnrollmentManage
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/uninstall' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anforderungs- und Antwortschema (OpenAPI)
{
"description": "Queue work for reconnection. Current credentials and permissions are checked again before execution.",
"operationId": "post_v1_devices_deviceId_jobs_uninstall",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfboolean"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Queue an agent uninstall",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentManage"
]
}GETLese einen wartenden Job/v1/devices/{deviceId}/jobs/{jobId}
Lese ausstehende und laufende Jobs. Fehlende Jobs beweisen keinen Erfolg.
GET /v1/devices/{deviceId}/jobs/{jobId} ↗mcp.cap.InventoryRead
Schemata (OpenAPI)
DeviceJobStatus
0 = Pending 1 = Running 2 = Completed 3 = Failed 4 = Cancelled
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
jobId· -Pfad · erforderlich- Von der entsprechenden Ressourcenliste oder dem Erstellungsergebnis zurückgegebener Bezeichner.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/<jobId>' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Read pending and running jobs. Missing jobs do not prove success.",
"operationId": "get_v1_devices_deviceId_jobs_jobId",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "jobId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationJobView"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read a queued job",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTBreche einen wartenden Job ab/v1/devices/{deviceId}/jobs/{jobId}/cancel
Abbrechen nur, bevor der Job zur Ausführung übernommen wird.
POST /v1/devices/{deviceId}/jobs/{jobId}/cancel ↗mcp.cap.InventoryRead
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
jobId· -Pfad · erforderlich- Von der entsprechenden Ressourcenliste oder dem Erstellungsergebnis zurückgegebener Bezeichner.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/<jobId>/cancel' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anforderungs- und Antwortschema (OpenAPI)
{
"description": "Cancel only before the job is claimed for execution.",
"operationId": "post_v1_devices_deviceId_jobs_jobId_cancel",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "jobId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Cancel a queued job",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETÜberprüfe die Linux-Bereitschaft/v1/devices/{deviceId}/linux-readiness
Lese aktuelle Endpunktdiagnosen innerhalb des Berechtigungsbereichs.
GET /v1/devices/{deviceId}/linux-readiness ↗mcp.cap.InventoryRead
Schemata (OpenAPI)
LinuxReadinessState
0 = Ready 1 = Warning 2 = Blocked 3 = NotApplicable
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/linux-readiness' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Read current endpoint diagnostics within credential scope.",
"operationId": "get_v1_devices_deviceId_linux_readiness",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/LinuxReadinessReportDto"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check Linux readiness",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETRuft den aufgezeichneten Patch-Status ab/v1/devices/{deviceId}/patches
Lesen Sie gespeicherte Patch-Fakten, fehlende Updates und Fehler. Dabei wird nicht nach Updates gesucht oder diese installiert.
GET /v1/devices/{deviceId}/patches ↗mcp.cap.PatchingRead
Schemata (OpenAPI)
PatchRebootBehavior
0 = Unknown 1 = Never 2 = Always 3 = CanRequest
PatchSeverity
0 = Unknown 1 = Low 2 = Moderate 3 = Important 4 = Critical
PatchUpdateType
0 = Unknown 1 = Software 2 = Driver
PatchComplianceState
0 = Unknown 1 = Compliant 2 = MissingUpdates 3 = ScanFailed 4 = Unsupported
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/patches' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Read stored patch facts, missing updates and failures. This does not scan for or install updates.",
"operationId": "get_v1_devices_deviceId_patches",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PatchFactsResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get recorded patch status",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.PatchingRead"
]
}GETLeistungsverlauf abrufen/v1/devices/{deviceId}/performance
Liest beibehaltene Leistungsbeispiele für einen bestimmten Zeitraum. Lücken bedeuten, dass keine Probe entnommen wurde.
GET /v1/devices/{deviceId}/performance ↗mcp.cap.InventoryRead
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
from· -Abfrage · optional- Startzeitstempel für den angeforderten Zeitbereich. Fügen Sie einen UTC-Offset hinzu.
to· -Abfrage · optional- Endzeitstempel für den angeforderten Zeitbereich. Fügen Sie einen UTC-Offset hinzu und wählen Sie eine Zeit nach dem Start.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/performance' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Read retained performance samples for a time range. Gaps mean no sample was collected.",
"operationId": "get_v1_devices_deviceId_performance",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Start timestamp for the requested time range. Include a UTC offset.",
"in": "query",
"name": "from",
"schema": {
"format": "date-time",
"type": "string"
}
},
{
"description": "End timestamp for the requested time range. Include a UTC offset and choose a time after the start.",
"in": "query",
"name": "to",
"schema": {
"format": "date-time",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PerformanceHistoryResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get performance history",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETÜberprüfen Sie die Gerätevoraussetzungen/v1/devices/{deviceId}/preflight
Lesen Sie gespeicherte Informationen zur Gerätefähigkeit und -bereitschaft, ohne eine Aktion auszulösen.
GET /v1/devices/{deviceId}/preflight ↗mcp.cap.InventoryRead
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/preflight' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Read stored device capability and readiness information without dispatching an action.",
"operationId": "get_v1_devices_deviceId_preflight",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationDevicePreflightResponse"
}
}
},
"description": "OK"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check device prerequisites",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETLaufende Prozesse lesen/v1/devices/{deviceId}/processes
Prozessinformationen von einem autorisierten Gerät anfordern.
GET /v1/devices/{deviceId}/processes ↗mcp.cap.InventoryRead
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
offset· -Abfrage · optional- Anzahl der zu überspringenden Elemente, beginnend bei Null. Verwenden Sie weiterhin den vom Endpunkt zurückgegebenen Offset, sofern verfügbar.
pageSize· -Abfrage · optional- Maximale Anzahl der für diese Seite angeforderten Elemente. Endpunktspezifische Grenzwerte können die Seitengröße verringern.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/processes' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Request process information from an authorised device.",
"operationId": "get_v1_devices_deviceId_processes",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiObservedPageOfProcessInfoDto"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read running processes",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTBeende einen Prozess/v1/devices/{deviceId}/processes/terminate
Prüfe die Prozess-ID und den Namen vor der Beendigung. Diese Überprüfung ist am Endpunkt nicht atomar.
POST /v1/devices/{deviceId}/processes/terminate ↗mcp.cap.InventoryRead + mcp.cap.CommandsExecute
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"expectedName": "<value>",
"processId": 1
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/processes/terminate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anforderungs- und Antwortschema (OpenAPI)
{
"description": "Check the process ID and name before termination. This check is not atomic at the endpoint.",
"operationId": "post_v1_devices_deviceId_processes_terminate",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationKillProcess"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Terminate a process",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead",
"mcp.cap.CommandsExecute"
]
}GETPrüfe Windows-Remote-Desktop/v1/devices/{deviceId}/rdp
Lese aktuelle Endpunktdiagnosen innerhalb des Berechtigungsbereichs.
GET /v1/devices/{deviceId}/rdp ↗mcp.cap.InventoryRead
Schemata (OpenAPI)
WindowsRdpState
0 = Unknown 1 = Disabled 2 = Enabled 3 = PolicyBlocked 4 = Unsupported
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/rdp' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Read current endpoint diagnostics within credential scope.",
"operationId": "get_v1_devices_deviceId_rdp",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationRdpStatus"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check Windows remote desktop",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTAktiviere Windows-Remote-Desktop/v1/devices/{deviceId}/rdp/enable
Aktiviere Remote-Desktop mit vorhandenen Endpunktsicherheiten.
POST /v1/devices/{deviceId}/rdp/enable ↗mcp.cap.DeviceMaintenance
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/rdp/enable' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anforderungs- und Antwortschema (OpenAPI)
{
"description": "Enable remote desktop with existing endpoint safeguards.",
"operationId": "post_v1_devices_deviceId_rdp_enable",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfboolean"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Enable Windows remote desktop",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.DeviceMaintenance"
]
}GETGerätedienste lesen/v1/devices/{deviceId}/services
Serviceinformationen von einem autorisierten Gerät anfordern; Die Geräteverfügbarkeit beeinflusst das Ergebnis.
GET /v1/devices/{deviceId}/services ↗mcp.cap.InventoryRead
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
offset· -Abfrage · optional- Anzahl der zu überspringenden Elemente, beginnend bei Null. Verwenden Sie weiterhin den vom Endpunkt zurückgegebenen Offset, sofern verfügbar.
pageSize· -Abfrage · optional- Maximale Anzahl der für diese Seite angeforderten Elemente. Endpunktspezifische Grenzwerte können die Seitengröße verringern.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/services' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Request service information from an authorised device; device availability affects the result.",
"operationId": "get_v1_devices_deviceId_services",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiObservedPageOfServiceInfoDto"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read device services",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETInstallierte Software abrufen/v1/devices/{deviceId}/software
Gespeicherte Software-Beobachtungen seitenweise lesen. Dadurch wird keine Software gescannt oder installiert.
GET /v1/devices/{deviceId}/software ↗mcp.cap.InventoryRead
Nur gespeicherte Softwarebeobachtungen, höchstens 100 pro Seite. items null bedeutet kein gespeicherter Snapshot; leer items bedeutet eine beobachtete leere Liste. Numerisch after ist ein Offset. Starten Sie einen Export neu, wenn sich updatedAtUtc ändert.
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
pageSize· -Abfrage · optional- Maximale Anzahl der für diese Seite angeforderten Elemente. Endpunktspezifische Grenzwerte können die Seitengröße verringern.
after· -Abfrage · optional- Fortsetzungsposition der vorherigen Antwort. Für die erste Seite weglassen; Behalten Sie beim Fortfahren die gleichen Filter bei.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/software' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Stored software observations only, at most 100 per page. items null means no stored snapshot; empty items means an observed empty list. Numeric after is an offset. Restart an export if updatedAtUtc changes.",
"operationId": "get_v1_devices_deviceId_software",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SoftwareResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get installed software",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTSoftware installieren/v1/devices/{deviceId}/software/install
Fordern Sie die Installation der mitgelieferten Software auf einem autorisierten Gerät an und prüfen Sie das Betriebsergebnis.
POST /v1/devices/{deviceId}/software/install ↗mcp.cap.SoftwareManage + mcp.cap.AutomationRead + mcp.cap.AutomationExecute
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"packageVersionId": "<UUID>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/software/install' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anforderungs- und Antwortschema (OpenAPI)
{
"description": "Request installation of the supplied software on an authorised device and inspect the operation result.",
"operationId": "post_v1_devices_deviceId_software_install",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationSoftwareInstall"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Install software",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.SoftwareManage",
"mcp.cap.AutomationRead",
"mcp.cap.AutomationExecute"
]
}POSTSoftware deinstallieren/v1/devices/{deviceId}/software/uninstall
Fordern Sie die Entfernung ausgewählter Software von einem autorisierten Gerät an.
POST /v1/devices/{deviceId}/software/uninstall ↗mcp.cap.SoftwareManage
Schemata (OpenAPI)
SoftwareKind
0 = ClassicDesktop 1 = PackagedApp
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"identifier": "<value>",
"kind": 0,
"name": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/software/uninstall' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anforderungs- und Antwortschema (OpenAPI)
{
"description": "Request removal of selected software from an authorised device.",
"operationId": "post_v1_devices_deviceId_software_uninstall",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfSoftwareUninstallRequestDto"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Uninstall software",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.SoftwareManage"
]
}GETGeschwindigkeitsteststatus abrufen/v1/devices/{deviceId}/speed-tests
Lesen Sie den Geschwindigkeitsteststatus des Geräts und die verfügbaren Ergebnisse.
GET /v1/devices/{deviceId}/speed-tests ↗mcp.cap.NetworkRead
Schemata (OpenAPI)
NetworkInternetSpeedRunStatus
0 = Queued 1 = Assigned 2 = Completed 3 = CancelRequested 4 = Cancelled 5 = Failed 6 = Expired
NetworkLinkMedium
0 = Unknown 1 = Ethernet 2 = WiFi 3 = Cellular 4 = OtherPhysical
NetworkInternetSpeedProfile
0 = Standard 1 = LowBandwidth
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/speed-tests' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Read the device's speed-test status and available results.",
"operationId": "get_v1_devices_deviceId_speed_tests",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/NetworkInternetSpeedDeviceSummary"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get speed-test status",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.NetworkRead"
]
}GETGeschwindigkeitstestverlauf lesen/v1/devices/{deviceId}/speed-tests/history
Durchsuchen Sie gespeicherte Geschwindigkeitstestergebnisse für ein Gerät.
GET /v1/devices/{deviceId}/speed-tests/history ↗mcp.cap.NetworkRead
Schemata (OpenAPI)
NetworkInternetSpeedRunKind
0 = Scheduled 1 = Manual
NetworkLinkMedium
0 = Unknown 1 = Ethernet 2 = WiFi 3 = Cellular 4 = OtherPhysical
NetworkInternetSpeedOutcome
0 = Succeeded 1 = Failed 2 = Cancelled 3 = DeferredBusy 4 = ServerConstrained 5 = InterfaceUnavailable
NetworkInternetSpeedRunStatus
0 = Queued 1 = Assigned 2 = Completed 3 = CancelRequested 4 = Cancelled 5 = Failed 6 = Expired
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
after· -Abfrage · optional- Fortsetzungsposition der vorherigen Antwort. Für die erste Seite weglassen; Behalten Sie beim Fortfahren die gleichen Filter bei.
pageSize· -Abfrage · optional- Maximale Anzahl der für diese Seite angeforderten Elemente. Endpunktspezifische Grenzwerte können die Seitengröße verringern.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/speed-tests/history' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Browse retained speed-test results for a device.",
"operationId": "get_v1_devices_deviceId_speed_tests_history",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/NetworkInternetSpeedHistoryPage"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read speed-test history",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.NetworkRead"
]
}GETMachen Sie einen Geschwindigkeitstestlauf/v1/devices/{deviceId}/speed-tests/{runId}
Lesen Sie einen aufgezeichneten Geschwindigkeitstestlauf anhand seiner ID.
GET /v1/devices/{deviceId}/speed-tests/{runId} ↗mcp.cap.NetworkRead
Schemata (OpenAPI)
NetworkInternetSpeedOutcome
0 = Succeeded 1 = Failed 2 = Cancelled 3 = DeferredBusy 4 = ServerConstrained 5 = InterfaceUnavailable
NetworkInternetSpeedRunStatus
0 = Queued 1 = Assigned 2 = Completed 3 = CancelRequested 4 = Cancelled 5 = Failed 6 = Expired
-Parameter
deviceId· -Pfad · erforderlich- Gerätekennung, die von der entsprechenden Geräteliste zurückgegeben wird. Verwaltete Agenten und erkannte Netzwerkgeräte haben unterschiedliche Kennungen.
runId· -Pfad · erforderlich- Domänenlauf-ID, die vom Operationsergebnis zurückgegeben wird, nicht die Operationsempfangs-ID.
Beispielanfrage
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/speed-tests/<runId>' `
-Headers $headersAnforderungs- und Antwortschema (OpenAPI)
{
"description": "Read one recorded speed-test run using its ID.",
"operationId": "get_v1_devices_deviceId_speed_tests_runId",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Domain run identifier returned by the operation result, not the operation receipt identifier.",
"in": "path",
"name": "runId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/NetworkInternetSpeedRunSummary"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
[...]
